
@mixin app-coc-referral-details-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
    app-coc-referral-details {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }  
  
    .coc-referral-details {
      margin-top: 30px !important;
      display: flex;
      flex-direction: column;
      padding: 5px;
      background-color: mat-color($primary, 50);
      
      .rhi-main-card {
        display: flex;
        flex-direction: column;
        padding: 0px;
        background-color: mat-color($primary, 50);
  
        .mat-card-header {
          width: 100%;

        }
  
        .mat-card-content {  
          .example-small-box {
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
            .example-container {
              width: 100%;
              margin-right: 10px;
              margin-left: 10px;
            }
          }   
          
          .tabView {
            min-height: 400px;
          }
          .alignCheckbox {
            margin: 100px 70px;
          }

          .coc_disc_view {
            margin: 50px 40px;
            height: 300px;
          }

          textarea { 
            resize: none !important; 
            overflow: auto;
            width: 80%;  
          }
          
          .textarea {
            width: 80%;
            margin-top: 10px;
          }

          .inline {
            display: inline-block;   
            margin-top: 15px;
            margin-bottom: 10px;
          }
      
          .label {
            width: 50%;
            margin-right: 50px;
          }

          .questions {
            //margin-left:40px !important;
            margin: 20px 40px;
           }

           .mat-checkbox-layout {
            padding-right: 10px !important;
          }
        }
      }
  

      
      .mat-form-field-flex>.mat-form-field-infix {
        padding: 0.4em 0px !important;
        //height: 10px;
      } 

      .mat-form-field-infix {
        width: 140px;
      }

       .mat-form-field-label-wrapper {
        top: -1.5em;
      }
      .mat-form-field-wrapper {
        padding-bottom: .5em;
      }

       .mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label {
        transform: translateY(-1.1em) scale(.75);
        width: 133.33333%;
      }
      .mat-form-field-appearance-outline .mat-form-field-wrapper {
        margin:0;
      }
    }    
  }
  
  .title {
    margin-left: 20px;
  }